NewWacht Bench is live — AI-assisted development for Wacht

Discover Mcp Server Auth

POST
/ai/mcp-servers/discover

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

endpoint*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.wacht.dev/ai/mcp-servers/discover" \  -H "Content-Type: application/json" \  -d '{    "endpoint": "string"  }'
{
  "requires_auth": true,
  "recommended_auth_mode": "string",
  "token_url": "string",
  "auth_url": "string",
  "register_url": "string",
  "resource_metadata_url": "string",
  "resource": "string",
  "scopes": [
    "string"
  ],
  "token_endpoint_auth_methods_supported": [
    "string"
  ],
  "authorization_servers": [
    "string"
  ],
  "message": "string"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}